Announcement Announcement Module
Collapse
No announcement yet.
Spring Security 3.0 with Spring 2.5.6 Page Title Module
Move Remove Collapse
This topic is closed
X
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Spring Security 3.0 with Spring 2.5.6

    Did any one use spring security 3.0 with spring 2.5.6 ? I want to use the
    PreAuthorize check from 3.0.

    @PreAuthorize("#contact.name == principal.name)")
    public void doSomething(Contact contact);

    But the security xml configuration is not liking this combination for some reason. It blows up when I add the security tags.

    I will be glad to get any help in this matter.

    Here is the xml config

    <beans xmlns="http://www.springframework.org/schema/beans"
    xmlns:security="http://www.springframework.org/schema/security"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schem...-beans-2.0.xsd
    http://www.springframework.org/schema/security http://www.springframework.org/schema/security/spring-security-3.0.xsd">



    <security:http use-expressions="true">
    <security:intercept-url pattern="/" access="permitAll"/>
    <security:intercept-url pattern="/static/**" filters="none" />
    <security:intercept-url pattern="/**" access="isAuthenticated()" />
    <security:form-login />
    <security:logout />
    </security:http>

    </beans>

  • #2
    Spring Security 3 requires Spring 3.

    Comment


    • #3
      Thanks for the quick response.

      I have already coded for spring mvc 2.5.6, how tough it would be to migrate to Spring 3.0 Is it backward compatible ?

      Comment

      Working...
      X